summaryrefslogtreecommitdiffstats
path: root/scratch/bash-3.1/support/mkconffiles
diff options
context:
space:
mode:
authorPete Travis <immanetize@fedoraproject.org>2014-09-26 14:42:22 -0600
committerPete Travis <immanetize@fedoraproject.org>2014-09-26 14:42:22 -0600
commit46c50fce0354d81d347a8055314a688fc8aa9f52 (patch)
treeb7f6c49e1225f949a9c21da6afa52fd04a2484fd /scratch/bash-3.1/support/mkconffiles
parentfe5673aed2053463a7164ec5e7b609877340c0fa (diff)
downloadrpmbuild-46c50fce0354d81d347a8055314a688fc8aa9f52.tar.gz
rpmbuild-46c50fce0354d81d347a8055314a688fc8aa9f52.tar.xz
rpmbuild-46c50fce0354d81d347a8055314a688fc8aa9f52.zip
bash sourcesobs-product
Diffstat (limited to 'scratch/bash-3.1/support/mkconffiles')
-rwxr-xr-xscratch/bash-3.1/support/mkconffiles80
1 files changed, 80 insertions, 0 deletions
diff --git a/scratch/bash-3.1/support/mkconffiles b/scratch/bash-3.1/support/mkconffiles
new file mode 100755
index 0000000..ec52614
--- /dev/null
+++ b/scratch/bash-3.1/support/mkconffiles
@@ -0,0 +1,80 @@
+#! /bin/sh
+#
+# mkconffiles - create _distribution and _patchlevel files in preparation
+# for recreating `configure' from `configure.in'
+#
+# options:
+# -s srcdir directory where `configure' resides (defaults to `.')
+# -d outdir directory where the files should be written (defaults
+# to "$srcdir")
+# -v verbose
+# -n nocreate - don't create the output files
+#
+# Chet Ramey
+# chet@po.cwru.edu
+
+# Copyright (C) 1996-2002 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
+
+PROG=`basename $0`
+
+# defaults
+srcdir=.
+
+distname="_distribution"
+patchname="_patchlevel"
+
+while [ $# -gt 0 ]; do
+ case "$1" in
+ -s) shift; srcdir="$1"; shift;;
+ -d) shift; outdir="$1"; shift;;
+ -v) shift; verbose=yes ;;
+ -n) shift; nocreate=yes;;
+ --) shift; break;;
+ *) echo "${PROG}: usage: ${PROG} [-s srcdir] [-d outdir] [-nv]" >&2; exit 2;;
+ esac
+done
+
+if [ ! -f ${srcdir}/configure ]; then
+ echo "${PROG}: ${srcdir}/configure not found" >&2
+ exit 1
+fi
+
+# default output directory to source directory
+if [ -z "$outdir" ]; then
+ outdir=${srcdir}
+fi
+
+DISTRIB=`grep '^BASHVERS' ${srcdir}/configure | sed 's:.*=::'`
+PATCH=`grep '^BASHPATCH' ${srcdir}/configure | sed 's:.*=::'`
+
+if [ -n "$verbose" ]; then
+ echo "${PROG}: creating new distribution files for bash-${DISTRIB}.${PATCH} in ${outdir}"
+fi
+
+distout=${outdir}/${distname}
+patchout=${outdir}/${patchname}
+
+if [ -z "$nocreate" ]; then
+ echo "$DISTRIB" > $distout
+ echo "$PATCH" > $patchout
+fi
+
+if [ -n "$verbose" ]; then
+ echo "${PROG}: created $distout and $patchout"
+fi
+
+exit 0